
From: Gerd Knorr <kraxel@bytesex.org>

Just a new PCI Subsystem ID and a PM fix from Pavel.

Signed-off-by: Gerd Knorr <kraxel@bytesex.org>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/media/video/bttv-cards.c  |    4 +++-
 25-akpm/drivers/media/video/bttv-driver.c |    4 ++--
 25-akpm/drivers/media/video/bttv.h        |    2 +-
 25-akpm/drivers/media/video/bttvp.h       |    2 +-
 4 files changed, 7 insertions(+), 5 deletions(-)

diff -puN drivers/media/video/bttv-cards.c~minor-bttv-driver-update drivers/media/video/bttv-cards.c
--- 25/drivers/media/video/bttv-cards.c~minor-bttv-driver-update	Thu Feb 17 16:56:05 2005
+++ 25-akpm/drivers/media/video/bttv-cards.c	Thu Feb 17 16:56:06 2005
@@ -1,5 +1,5 @@
 /*
-    $Id: bttv-cards.c,v 1.42 2005/01/13 17:22:33 kraxel Exp $
+    $Id: bttv-cards.c,v 1.44 2005/01/31 11:35:05 kraxel Exp $
 
     bttv-cards.c
 
@@ -170,6 +170,8 @@ static struct CARD {
 	// some cards ship with byteswapped IDs ...
 	{ 0x1200bd11, BTTV_PINNACLE,      "Pinnacle PCTV [bswap]" },
 	{ 0xff00bd11, BTTV_PINNACLE,      "Pinnacle PCTV [bswap]" },
+	// this seems to happen as well ...
+	{ 0xff1211bd, BTTV_PINNACLE,      "Pinnacle PCTV" },
 
 	{ 0x3000121a, BTTV_VOODOOTV_FM,   "3Dfx VoodooTV FM/ VoodooTV 200" },
 	{ 0x263710b4, BTTV_VOODOOTV_FM,   "3Dfx VoodooTV FM/ VoodooTV 200" },
diff -puN drivers/media/video/bttv-driver.c~minor-bttv-driver-update drivers/media/video/bttv-driver.c
--- 25/drivers/media/video/bttv-driver.c~minor-bttv-driver-update	Thu Feb 17 16:56:06 2005
+++ 25-akpm/drivers/media/video/bttv-driver.c	Thu Feb 17 16:56:06 2005
@@ -1,5 +1,5 @@
 /*
-    $Id: bttv-driver.c,v 1.34 2005/01/07 13:11:19 kraxel Exp $
+    $Id: bttv-driver.c,v 1.36 2005/02/15 10:51:53 kraxel Exp $
 
     bttv - Bt848 frame grabber driver
 
@@ -3921,7 +3921,7 @@ static void __devexit bttv_remove(struct
         return;
 }
 
-static int bttv_suspend(struct pci_dev *pci_dev, u32 state)
+static int bttv_suspend(struct pci_dev *pci_dev, pm_message_t state)
 {
         struct bttv *btv = pci_get_drvdata(pci_dev);
 	struct bttv_buffer_set idle;
diff -puN drivers/media/video/bttv.h~minor-bttv-driver-update drivers/media/video/bttv.h
--- 25/drivers/media/video/bttv.h~minor-bttv-driver-update	Thu Feb 17 16:56:06 2005
+++ 25-akpm/drivers/media/video/bttv.h	Thu Feb 17 16:56:06 2005
@@ -1,5 +1,5 @@
 /*
- * $Id: bttv.h,v 1.14 2005/01/07 13:11:19 kraxel Exp $
+ * $Id: bttv.h,v 1.15 2005/01/24 17:37:23 kraxel Exp $
  *
  *  bttv - Bt848 frame grabber driver
  *
diff -puN drivers/media/video/bttvp.h~minor-bttv-driver-update drivers/media/video/bttvp.h
--- 25/drivers/media/video/bttvp.h~minor-bttv-driver-update	Thu Feb 17 16:56:06 2005
+++ 25-akpm/drivers/media/video/bttvp.h	Thu Feb 17 16:56:06 2005
@@ -1,5 +1,5 @@
 /*
-    $Id: bttvp.h,v 1.15 2004/12/14 15:33:30 kraxel Exp $
+    $Id: bttvp.h,v 1.16 2005/01/24 17:37:23 kraxel Exp $
 
     bttv - Bt848 frame grabber driver
 
_
